Grub2 cannot boot up when 8254 time function disable

Bug #1734278 reported by Ivan Hu on 2017-11-24
22
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Critical
Unassigned
OEM Priority Project
Critical
Unassigned
debian-installer (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned
grub2 (Debian)
Fix Released
Unknown
grub2 (Fedora)
Fix Committed
Critical
grub2 (Ubuntu)
Critical
Mathieu Trudel-Lapierre
Xenial
Critical
Mathieu Trudel-Lapierre
Artful
Undecided
Unassigned
Bionic
Critical
Mathieu Trudel-Lapierre
grub2-signed (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]
Some Intel SoC-based systems.

[Test cases]
1) Boot an affected system.

[Regression potential]
Some systems may rely on the current state of the timer selection in order to be able to boot successfully, or to catch key presses before the end of a timeout in the menu.
These systems may then fail to boot correctly, stuck in a timeout of crashing in grub. The new default, pmtimer, should be available on all ACPI-capable systems without being power-gated such as for the PIT, so the impact of this possible regression is minimal.

---

Fail to boot into Ubuntu GRUB on the platforms which legacy(8254) timer function is disabled.
"8254 clock gating" is provided to disable 8254 timer to get rid of legacy and save power. The platforms with the firmware which disable the 8254 timer will fail to boot up and block on grub2 which uses the 8254 timer to calibrate the TSC.

Ivan Hu (ivan.hu) wrote :

The patch which fixed this issue has included in the upstream git repository,
http://git.savannah.gnu.org/cgit/grub.git/commit/?id=446794de8da4329ea532cbee4ca877bcafd0e534

Changed in oem-priority:
importance: Undecided → Critical
tags: added: originate-from-1710846 somerville
Changed in hwe-next:
importance: Undecided → Critical
Changed in grub2 (Ubuntu):
status: New → Triaged
Changed in oem-priority:
status: New → Triaged
Changed in hwe-next:
status: New → Triaged
tags: added: risk

Description of problem:
On some newer Intel silicon GRUB2 will hang when trying to boot.

How reproducible:
100%

Steps to Reproduce:
1. Try to boot installer

Actual results:
System hangs

Expected results:
System boots

Additional info:
The issue has been fixed upstream.
http://git.savannah.gnu.org/cgit/grub.git/commit/?id=446794de8da4329ea532cbee4ca877bcafd0e534

Changed in grub2 (Fedora):
importance: Unknown → Critical
status: Unknown → Confirmed
Anthony Wong (anthonywong) wrote :

I have pinged cyphermox on irc to apply the patch in #1 to Xenial.

Changed in grub2 (Ubuntu Xenial):
status: New → Triaged
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in grub2 (Ubuntu Bionic):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
Changed in grub2 (Ubuntu Xenial):
importance: Undecided → Critical
Changed in grub2 (Ubuntu Bionic):
importance: Undecided → Critical
Changed in grub2 (Debian):
status: Unknown → New

That will need a d-i upload as well then, after grub is released.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02-2ubuntu2

---------------
grub2 (2.02-2ubuntu2) bionic; urgency=medium

  * Cherry-pick upstream patch to change the default TSC calibration method
    to pmtimer on EFI systems (LP: #1734278)
  * debian/control: Update Vcs fields for code location on Ubuntu.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 05 Dec 2017 11:47:31 -0500

Changed in grub2 (Ubuntu Bionic):
status: Triaged → Fix Released
ethan.hsieh (ethan.hsieh) wrote :

For OEM project, we need grub and debian-installer packages to be SRUed (xenial-proposed) before 2018/1/5

Hello Ivan, or anyone else affected,

Accepted grub2 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2/2.02~beta2-36ubuntu3.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in grub2 (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-xenial
Brian Murray (brian-murray) wrote :

Hello Ivan, or anyone else affected,

Accepted grub2-signed into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2-signed/1.66.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

ethan.hsieh (ethan.hsieh) wrote :

amd64 build of grub2-signed 1.66.15 in ubuntu xenial PROPOSED
https://launchpad.net/ubuntu/+source/grub2-signed/1.66.15/+build/13848452

Dependency wait on lgw01-amd64-021

Missing build dependencies: grub-efi-amd64-bin (>= 2.02~beta2-36ubuntu3.15)
Started 6 hours ago
Finished 6 hours ago (took 1 minute, 18.5 seconds)

ethan.hsieh (ethan.hsieh) wrote :

@Brian

System can boot to Ubuntu desktop after installing following packages.

grub2-common_2.02_beta2-36ubuntu3.15_amd64.deb
grub-efi-amd64_2.02_beta2-36ubuntu3.15_amd64.deb
grub-efi-amd64-signed_1.66.15+2.02_beta2-36ubuntu3.15_amd64.deb
grub-common_2.02_beta2-36ubuntu3.15_amd64.deb
grub-efi-amd64-bin_2.02_beta2-36ubuntu3.15_amd64.deb
From:
https://launchpad.net/ubuntu/+source/grub2/2.02~beta2-36ubuntu3.15/+build/13848315
https://launchpad.net/ubuntu/+source/grub2-signed/1.66.15/+build/13848452

tags: added: verification-done-xenial
removed: verification-needed-xenial

Marking bionic Fix Released; Steve uploaded a debian-installer, which was built against the new grub.

Changed in debian-installer (Ubuntu Bionic):
status: New → Fix Released
tags: added: sru
Brian Murray (brian-murray) wrote :

Hello Ivan, or anyone else affected,

Accepted debian-installer into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu451.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
removed: verification-done-xenial
Shih-Yuan Lee (fourdollars) wrote :

I have verified the debian-installer and grub packages, and they do fix the problem for xenial.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Changed in oem-priority:
status: Triaged → Fix Committed
tags: removed: risk
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu451.18

---------------
debian-installer (20101020ubuntu451.18) xenial; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu3.15 patched for EFI timers
    fixes. (LP: #1734278)

debian-installer (20101020ubuntu451.17) xenial; urgency=medium

  * Bump FLOPPY_SIZE on amd64, i386, and powerpc for linux-firmware growth.

debian-installer (20101020ubuntu451.16) xenial; urgency=medium

  [ Steve Langasek ]
  * Adjust the Vcs-Bzr target for SRUs.

  [ Adam Conrad ]
  * Move master kernels to 4.4.0-101.
  * Move hwe kernels to 4.10.0-40.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 19 Dec 2017 12:50:48 -0500

Changed in debian-installer (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for debian-installer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta2-36ubuntu3.15

---------------
grub2 (2.02~beta2-36ubuntu3.15) xenial; urgency=medium

  [ Ike Panhc ]
  * Fix grub crash when exit on arm64-platform. (LP: #1731241)

  [ Mathieu Trudel-Lapierre ]
  * Cherry-pick upstream patch to change the default TSC calibration method
    to pmtimer on EFI systems (LP: #1734278)

 -- Mathieu Trudel-Lapierre <email address hidden> Mon, 11 Dec 2017 10:25:22 -0500

Changed in grub2 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in oem-priority:
status: Fix Committed → Fix Released

grub2-2.02-0.43.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6166caf0b

grub2-2.02-20.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

grub2-2.02-0.43.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6166caf0b

grub2-2.02-20.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Changed in grub2 (Fedora):
status: Confirmed → Fix Committed

grub2-2.02-21.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

grub2-2.02-21.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Hello Ivan, or anyone else affected,

Accepted grub2 into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2/2.02~beta3-4ubuntu7.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in grub2 (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed verification-needed-artful
removed: verification-done
Łukasz Zemczak (sil2100) wrote :

Hello Ivan, or anyone else affected,

Accepted grub2-signed into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/grub2-signed/1.85.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in grub2-signed (Ubuntu Artful):
status: New → Fix Committed

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of grub2 from artful-proposed was performed and bug 1744874 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1744874 (not this bug). Thanks!

tags: added: verification-failed

grub2-2.02-22.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

grub2-2.02-22.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

grub2-2.02-0.43.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of grub2-signed from artful-proposed was performed and bug 1746133 was found. Please investigate that bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1746133 (not this bug). Thanks!

The bugs identified above are not regressions from this SRU, but recurring issues due to bad configurations (broken install, plymouth --ping bug).

tags: removed: verification-failed

This fix for grub2-signed was already uploaded to bionic -- along with the grub2 upload.

Changed in grub2-signed (Ubuntu Bionic):
status: New → Fix Released

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of grub2 from artful-proposed was performed and bug 1745221 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and add the tag "bot-stop-nagging" to bug 1745221 (not this bug). Thanks!

tags: added: verification-failed
tags: removed: verification-failed

Can anyone help testing this fix for timers on Intel, for artful?

Grub works correctly in all the cases I tested as regression testing for this SRU, but I /do not/ have access to any of the affected hardware, so I cannot verify this fix.

ethan.hsieh (ethan.hsieh) wrote :

System can boot to Ubuntu desktop (artful) after installing following packages.

Installed packages:
grub2-common_2.02_beta3-4ubuntu7.1_amd64.deb
grub-common_2.02_beta3-4ubuntu7.1_amd64.deb
grub-efi-amd64_2.02_beta3-4ubuntu7.1_amd64.deb
grub-efi-amd64-bin_2.02_beta3-4ubuntu7.1_amd64.deb
grub-efi-amd64-signed_1.85.1+2.02_beta3-4ubuntu7.1_amd64.deb
Image: ubuntu-17.10-desktop-amd64.iso

tags: added: verification-done-artful
removed: verification-needed-artful
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2-signed - 1.85.1

---------------
grub2-signed (1.85.1) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.1. (LP: #1734278, #1708245)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 13 Dec 2017 14:36:57 -0500

Changed in grub2-signed (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta3-4ubuntu7.1

---------------
grub2 (2.02~beta3-4ubuntu7.1) artful; urgency=medium

  * Cherry-pick upstream patch to change the default TSC calibration method
    to pmtimer on EFI systems (LP: #1734278)
  * util/grub-install.c: Use fallback and MokManager EFI binary names without
    the .signed extension now that shim handles signing via sbsigntool
    natively. (LP: #1708245)
    - debian/patches/grub-install-extra-removable.patch
    - debian/patches/install_signed.patch

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 17 Jan 2018 11:51:20 -0500

Changed in grub2 (Ubuntu Artful):
status: Fix Committed → Fix Released
tags: added: id-5a26f23220c4bdf55ee4b33f
Changed in grub2 (Debian):
status: New → Fix Released
Changed in hwe-next:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.